## view.page
Class RegistrationPage.EntryForm

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Form
                      view.xhtml.PostForm
                          view.element.GoForm
                              view.page.RegistrationPage.EntryForm

Enclosing class:
  RegistrationPage

    private class RegistrationPage.EntryForm

extends GoForm

A class for the entry form element.

Nested Class Summary

Nested classes/interfaces inherited from class view.xhtml.Form
`Form.SendMethod`

Constructor Summary
`RegistrationPage.EntryForm(boolean logged, Tournament tournament, boolean pre, Entry entry, boolean edit)` Constructs the element.

Method Summary

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistrationPage.EntryForm

    public RegistrationPage.EntryForm(boolean logged,
                                      Tournament tournament,
                                      boolean pre,
                                      Entry entry,
                                      boolean edit)

  Constructs the element.

  Parameters:
    `logged` - if true, generates the form for administrator.
    `tournament` - the tournament of the entry.
    `pre` - if true, generates the entry for pre-registration, otherwise for final registration.
    `entry` - the (pre-)entry to edit or to fill the form from.
    `edit` - if true, creates an form for editing, otherwise for addition of a new entry.